<?php
/**
 * ------------------------------------------------------------------------
 * JA Mers Template J25
 * ------------------------------------------------------------------------
 * Copyright (C) 2004-2011 J.O.O.M Solutions Co., Ltd. All Rights Reserved.
 * @license - Copyrighted Commercial Software
 * Author: J.O.O.M Solutions Co., Ltd
 * Websites:  http://www.joomlart.com -  http://www.joomlancers.com
 * This file may not be redistributed in whole or significant part.
 * ------------------------------------------------------------------------
 */

defined('_JEXEC') or die('Restricted access');
?>
<?php if ($status!=''):?>
<script type="text/javascript">
	alert('<?php echo $status;?>');
</script>
<?php endif;?>
<div id="<?php echo $params->get('class_suffix','')?>ja-form">
	<div class="<?php echo $params->get('class_suffix','')?>form-info">
		<h3><?php echo $params->get('intro_text','Contact Us')?></h3>
	</div>
	<p class="text-contact">Want to drop a line or two? Got a piece of advice? Or anything interesting? We would love to hear from you.</p>
	<form  action="#" name="contact" method="post" id="contact" class="form-validate">
		<ul class="<?php echo $params->get('class_suffix','')?>form-list clearfix">
			<li class="<?php echo $params->get('class_suffix','')?>wide clearfix" id="row_name">
				<div class="row-content clearfix">
					<label for="contact_name" class="required">
						&nbsp;<?php echo $senderlabel;?>:
					</label>
					<div class="<?php echo $params->get('class_suffix','')?>input-box">
						<input  id="contact_name" class="input-text" type="text" name="name" value="<?php if ($name!='')echo $name; else echo ''; ?>" maxlength="60" size="40" />
					</div>
				</div>
				<div id="error_name" class="<?php echo $params->get('class_suffix','')?>jl_error"><?php if(isset($error['name']))echo $error['name'] ?></div>
			</li>
			<li class="<?php echo $params->get('class_suffix','')?>wide clearfix" id="row_email">
				<div class="row-content clearfix">
					<label id="contact_emailmsg" for="contact_email">
					&nbsp;<?php echo $email_label?>:
					</label>
					<div class="<?php echo $params->get('class_suffix','')?>input-box">
						<input class="input-text" id="contact_email" type="text" name="email" value="<?php if ($email!='')echo $email; else echo ''; ?>" maxlength="64" size="40" />
					</div>
				</div>
				<div class="<?php echo $params->get('class_suffix','')?>small"><?php echo JText::_('NOTICE_REQUEST_USER_REAL_EMAIL');?> </div>
				<div id="error_email" class="<?php echo $params->get('class_suffix','')?>jl_error"><?php if(isset($error['email']))echo $error['email'] ?></div>
			</li>
			<li class="<?php echo $params->get('class_suffix','')?>wide clearfix" id="row_subject">
				<div class="row-content clearfix">
					<label id="contact_subjectmsg" class="required" for="contact_subject">
						&nbsp;<?php echo $subject_label?>:
					</label>
					<div class="<?php echo $params->get('class_suffix','')?>input-box">
						<input class="input-text" id="contact_subject" name="subject"  value="<?php echo @$subject?>"  size="40"/>
					</div>
				</div>
				<div id="error_subject" class="<?php echo $params->get('class_suffix','')?>jl_error"><?php if(isset($error['error_subject']))echo $error['error_subject'] ?></div>
			</li>
			<li class="<?php echo $params->get('class_suffix','')?>wide clearfix" id="row_text">
				<div class="row-content clearfix">
					<label id="contact_textmsg" class="required" for="contact_text">
						&nbsp;<?php echo $message_label?>:
					</label>
					<div class="<?php echo $params->get('class_suffix','')?>input-box">
						<textarea class="textarea" id="contact_text" name="text" rows="10" cols="40"><?php if($text!='') echo $text; else echo ''?></textarea>
					</div>
				</div>
				<div id="error_text" class="<?php echo $params->get('class_suffix','')?>jl_error"><?php if(isset($error['error_text']))echo $error['error_text'] ?></div>
			</li>
			<?php if ($params->get( 'show_email_copy' ,0)) : ?>
			<li class="<?php echo $params->get('class_suffix','')?>wide clearfix">
				<div class="row-content clearfix">
					<div class="<?php echo $params->get('class_suffix','')?>input-box">
						<label for="contact_email_copy" class="email-copy">
						<?php echo JText::_( 'SEND_ME_A_COPIED_EMAIL' ); ?>
						</label>
						<input type="checkbox" name="email_copy" id="contact_email_copy" value="1"  />
						
					</div>
				</div>
			</li>
			<?php endif; ?>
			<?php if ($captcha):?>
			<li class="<?php echo $params->get('class_suffix','')?>wide clearfix">
				<div class="row-content question clearfix">
					<div class="<?php echo $params->get('class_suffix','')?>input-box">
					<?php
		
						$mainframe->triggerEvent('onAfterDisplayForm');
					?>
					</div>
				</div>
				<div id="error_captcha_code" class="<?php echo $params->get('class_suffix','')?>jl_error"><?php if(isset($error['captcha_code']))echo $error['captcha_code'] ?></div>
					
			</li>
			<?php endif;?>
			<li class="button">
				<a href="javascript:void(0)" id="ac-submit" class="button-submit"><span><?php echo JText::_("SEND_EMAIL"); ?></span></a>
		</ul>
		<input type="hidden" name="category" value="Error/Problems using site" />
		<input type="hidden" name="do_submit" value="1" />
		<?php echo JHTML::_( 'form.token' ); ?>
	</form>
</div>
<script type="text/javascript">
/* <![CDATA[ */
	maxchars = <?php echo $params->get('max_chars',1000);?>;
	captcha = <?php echo intval($captcha)?>;
	var emailabel = '<?php echo $email_label?>';
	var senderlabel = '<?php echo $senderlabel?>';
	var messagelabel = '<?php echo $message_label?>';
	window.addEvent('load', function(){
		el = $('ac-submit');
		$("contact").reset();
	el.onclick = function()
	{
		var email = $('contact_email').value;
		var ck=true;
		var errors = $$('.error');
	    if (!errors || errors.length>0)
	    {
	        errors.removeClass('error');
	    }
		regex=/^[a-zA-Z0-9._-]+@([a-zA-Z0-9.-]+\.)+[a-zA-Z0-9.-]{2,4}$/;
		if(!regex.test(email))
		{
			if((email=='')||(email==emailabel))
			{
				$('error_email').innerHTML ='<?php echo JText::_('ERROR_EMAIL_EMPTY')?>';
			}
			else
			{
				$('error_email').innerHTML ="<?php echo JText::_('ERROR_EMAIL_INVALID')?>";
			}
			$('row_email').addClass('error');
			ck=false;
		}
		else
		{
			$('error_email').innerHTML ='';
		}
		var name = $('contact_name').value;
		if((name=='')||(name==senderlabel))
		{
			$('error_name').innerHTML ='<?php echo  JText::_("ERROR_NAME_INVALID")?>';
			$('row_name').addClass('error');
			ck = false;
		}
		else
		{
			$('error_name').innerHTML ='';
		}
		var subject = $('contact_subject').value;
		if(subject=='')
		{
			$('error_subject').innerHTML ="<?php echo  JText::_("SUBJECT_REQUIRE")?>";
			$('row_subject').addClass('error');
			ck = false;
		}
		else
		{
			$('error_subject').innerHTML ='';
		}
		var message = $('contact_text').value;
		if((message.length>maxchars) ||(message.length < 1)||(message==messagelabel))
		{

			$('error_text').innerHTML ='<?php $error_message = JText::_('ERROR_MESSAGE_INVALID'). $params->get('max_chars','5'); echo addslashes($error_message);?>';
			$('row_text').addClass('error');
			ck = false;
		}
		else
		{
			$('error_text').innerHTML ='';
		}
		if(captcha)
		{
			if ($('captcha_code')){
				var captcha_code = $('captcha_code').value;
				if((captcha_code=='')||(captcha_code=='Type the code shown'))
				{
					$('error_captcha_code').innerHTML = "<?php echo JText::_('EMPTY_CAPTCHA')?>";
					ck = false;
				}
				else $('error_captcha_code').innerHTML = "";
			}
			else if($('recaptcha_response_field')){
				var captcha_code = $('recaptcha_response_field').value;
				if((captcha_code=='')||(captcha_code=='Type the code shown'))
				{
					$('error_captcha_code').innerHTML = "<?php echo JText::_('EMPTY_CAPTCHA')?>";
					ck = false;
				}
				else $('error_captcha_code').innerHTML = "";
			}
			else if ($('mathguard_answer')) {
				var captcha_code = $('mathguard_answer').value;
				if((captcha_code=='')||(captcha_code=='Type the code shown'))
				{
					$('error_captcha_code').innerHTML = "<?php echo JText::_('EMPTY_CAPTCHA')?>";
					ck = false;
				}
				else $('error_captcha_code').innerHTML = "";
			}
		}
		if(ck)
		{
			$("contact").submit();
		}
		return ck;
	};
});
/* ]]> */
</script>